Skip to main content
GET
/
merchant-candidate-list
List candidates
curl --request GET \
  --url https://cool.jobmojito.com/functions/v1/merchant-candidate-list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://cool.jobmojito.com/functions/v1/merchant-candidate-list"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://cool.jobmojito.com/functions/v1/merchant-candidate-list', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "profile_id": "<string>",
      "merchant_id": "<string>",
      "name": "<string>",
      "email": "<string>",
      "email_auth": "<string>",
      "emoji": "<string>",
      "external_id": "<string>",
      "status": "<string>",
      "phone_number": "<string>",
      "linked_in": "<string>",
      "physical_address": "<string>",
      "mojito_language_code": "<string>",
      "avatar_url": "<string>",
      "avatar_local_path": "<string>",
      "kyc_image_local_path": "<string>",
      "kyc_processing_status": "<string>",
      "interview_count": 123,
      "pre_screening_count": 123,
      "public_avatar_count": 123,
      "interview_last": "<string>",
      "last_login_at": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "deleted_at": "<string>"
    }
  ],
  "pagination": {
    "total": 137,
    "limit": 50,
    "offset": 0,
    "has_more": true
  }
}
{
  "error": "Field is required.",
  "name": "interview_result_id"
}
{
  "error": "Field is required.",
  "name": "interview_result_id"
}
{
  "error": "Field is required.",
  "name": "interview_result_id"
}
{
  "error": "Field is required.",
  "name": "interview_result_id"
}

Authorizations

Authorization
string
header
required

Supabase JWT — Authorization: Bearer <token>.

Query Parameters

merchant_id
string<uuid>

Optional merchant to scope to. Admins and sub-merchant operators only; other callers always use their token's merchant.

Example:

"28106cba-1c27-4e53-b149-32113e5e8e31"

tab
enum<string>

Filter candidates by recent activity. Omit (or empty) to include all.

Available options:
interview,
pre-screening,
no-action,
leads,
Example:

"interview"

source
enum<string>

Filter by how the candidate entered: invited or self-registered. Omit for both.

Available options:
invited,
registered
Example:

"registered"

order_by
enum<string>
default:created_at_newest

Sort order of the result set.

Available options:
name_accending,
name_decending,
created_at_newest,
created_at_oldest
Example:

"created_at_newest"

filter_text
string

Case-insensitive search on candidate name or email.

filter_emoji
string

Filter by the candidate emoji marker.

limit
integer
default:50

Maximum number of records to return (1–1000).

Required range: 1 <= x <= 1000
Example:

50

offset
integer | null
default:0

Number of records to skip from the start of the result set.

Required range: x >= 0
Example:

0

Response

A page of candidates with pagination metadata.

data
object[]
required

The merchant's candidates for this page.

pagination
object
required